<?php

namespace App\Exceptions;

use Exception;
use Throwable;

class ImportRowException extends Exception
{
    protected $data = null;

    public function __construct($message, $code = 0, Throwable $previous = null, $data)
    {
        parent::__construct($message, (int)$code, $previous);
        $this->data = $data;
    }

    public function getData()
    {
        return $this->data;
    }
}
